Skip to main content
PUT
Set a team's monthly credit limit

Authorizations

Authorization
string
header
required

Workspace API key (wk_). GET endpoints require the Workspace read API scope, POST, PUT, PATCH and DELETE endpoints the Workspace write API scope, and sending or revoking invitations (POST and DELETE /workspaceapi/invites) the Invite members scope. A key stops working when it expires or is disabled.

Path Parameters

teamId
string
required

Team id.

Body

application/json
monthlyCreditLimit
number | null
required

Credits all of the team's agents may use together per calendar month, or null to remove the limit.

Required range: x >= 0

Response

Success. Empty result sets are also 200.

id
string
required
name
string
required
monthlyCreditLimit
number | null
required

The team's monthly credit limit; null when it has none.

unchanged
boolean

True when the team already had this limit.